## com.sun.jersey.server.wadl
Class WadlGenerator.Environment

    java.lang.Object
      com.sun.jersey.server.wadl.WadlGenerator.Environment

Enclosing interface:
  WadlGenerator

    public static class WadlGenerator.Environment

extends java.lang.Object

A method parameter to make it easier to supply more environmental information later without break the existing API.

Constructor Summary
`WadlGenerator.Environment()`

Method Summary
`FeaturesAndProperties` | `getFeaturesAndProperties()`
`Providers` | `getProviders()`
`WadlGenerator.Environment` | `setFeaturesAndProperties(FeaturesAndProperties fap)`
`WadlGenerator.Environment` | `setProviders(Providers providers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGenerator.Environment

    public WadlGenerator.Environment()

Method Detail

### setProviders

    public WadlGenerator.Environment setProviders(Providers providers)

### getProviders

    public Providers getProviders()

### setFeaturesAndProperties

    public WadlGenerator.Environment setFeaturesAndProperties(FeaturesAndProperties fap)

### getFeaturesAndProperties

    public FeaturesAndProperties getFeaturesAndProperties()

Copyright © 2017 Oracle Corporation. All Rights Reserved.